{
    attributes = (
        {
            columnName = "COMPOSANT_ID"; 
            externalType = NUMBER; 
            name = composantId; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_RESPONSABLE_COMPOSANT"; 
            externalType = NUMBER; 
            name = id; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = responsablePersId; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (id); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EOResponsableComposant"; 
    classProperties = (composant, responsablePersId, roles); 
    externalName = "SCO_SCOLARITE.RESPONSABLE_COMPOSANT"; 
    fetchSpecificationDictionary = {}; 
    name = "Sco_ResponsableComposant"; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = "Sco_Composant"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = composantId; }); 
            name = composant; 
        }, 
        {
            destination = "Sco_ResponsableComposantRole"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = responsableId; sourceAttribute = id; }); 
            name = roles; 
        }
    ); 
}
